config/routes.rb
Rails.application.routes.draw do
  get 'clients/index'

  get 'subscriptions/index'

  resources :clients
  resources :payments
  resources :subscriptions
  resources :contracts

  devise_for :users

  root 'clients#index'

end

app/models/client.rb
class Client < ActiveRecord::Base
  belongs_to :subscription
  belongs_to :payment
  
end

app/models/contract.rb
class Contract < ActiveRecord::Base
end

app/models/payment.rb
class Payment < ActiveRecord::Base
  has_one :client 
end

app/models/subscription.rb
class Subscription < ActiveRecord::Base
  has_one :client
end

app/models/user.rb
class User < ActiveRecord::Base
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
  before_action :authenticate_user!

end

app/controllers/clients_controller.rb
class ClientsController < ApplicationController
  def index
    @client = Client.all
    @client.each do |client|

      @pago = client.subscription_id

    end

    @subs = Subscription.find(@pago)
    @nombre = @subs.name

  end

  def new
    @client = Client.new
  end

  def create

  end


  private
    def client_params
      params.require(:client).permit(:nombre, :apellido, :genero, :edad, :correo, :cel, :direccion, :barrio, :ciudad, :fecha_fin, :activo, :fecha_ultpago, :fecha_finpago, :contrato)
    end

end

app/controllers/subscriptions_controller.rb
class SubscriptionsController < ApplicationController
  def index
    @subs = Subscriptions.all
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/clients_helper.rb
module ClientsHelper
end

app/helpers/subscriptions_helper.rb
module SubscriptionsHelper
end

app/views/clients/_form.html.erb
<style>
  body {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
  }

  main {
    flex: 1 0 auto;
  }

  body {
    background: #fff;
  }

  .input-field input[type=date]:focus + label,
  .input-field input[type=text]:focus + label,
  .input-field input[type=email]:focus + label,
  .input-field input[type=password]:focus + label {
    color: #e91e63;
  }

  .input-field input[type=date]:focus,
  .input-field input[type=text]:focus,
  .input-field input[type=email]:focus,
  .input-field input[type=password]:focus {
    border-bottom: 2px solid #e91e63;
    box-shadow: none;
  }
</style>
<div class="section"></div>
<main>
  <center>
      <% if @client.errors.any? %>
        <div id="error_explanation">
          <h2><%= pluralize(@client.errors.count, "error") %> No se puedo guardar el cliente</h2>

          <ul>
          <% @client.errors.full_messages.each do |message| %>
            <li><%= message %></li>
          <% end %>
        </ul>,
        </div>
      <% end %>
    <%= form_for(@client) do |f| %>
    <div class="container">
      <div class="z-depth-1 grey lighten-4 row" style="display: inline-block; padding: 32px 48px 0px 48px; border: 1px solid #EEE; width: 100%;">

        <form class="col s12" method="post">
          <div class='row'>
            <div class='col s12'>
              <h4>Registro clientes</h4>
            </div>
          </div>

          <div class='row'>
            <div class='input-field col s6'>
              <%= f.text_field :nombre, autofocus: true %>
              <label for='email'>Nombre</label>
            </div>

            <div class='input-field col s6'>
              <%= f.text_field :apellido, autofocus: true %>
              <label for='email'>Apellido</label>
            </div>
          </div>

          <div class='row'>
            <div class='input-field col s6'>
              <%= f.number_field :edad, autofocus: true%>
              <label for='email'>Edad</label>
            </div>

            <div class='input-field col s6'>
              <%= f.text_field :correo, autofocus: true %>
              <label for='email'>Correo</label>
            </div>
          </div>

          <div class='row'>
            <div class='input-field col s6'>
              <%= f.text_field :cel, autofocus: true %>
              <label for='email'>Celular</label>
            </div>
            <div class='input-field col s6'>
              <%= f.text_field :direccion, autofocus: true %>
              <label for='email'>Dirección</label>
            </div>
          </div>

          <div class='row'>
            <div class='input-field col s6'>
              <%= f.text_field :barrio, autofocus: true %>
              <label for='email'>Barrio</label>
            </div>
            <div class='input-field col s6'>
              <%= f.text_field :ciudad, autofocus: true %>
              <label for='email'>Ciudad</label>
            </div>
          </div>

          <div class='row'>
            <div class='input-field col s6'>
              <%= f.text_field :genero  %>
              <label for='email'>Genero</label>
            </div>
          </div>

            <div class='input-field col s6'>
              <%= f.text_field :fecha_fin, autofocus: true %>
            </div>

          <div class='row'>
            <div class='input-field col s6'>
              <%= f.date_field :fecha_fin, class: "datepicker" %>
            </div>
          </div>


            <div class='row'>
              <%= f.submit "Guardar", :class => "col s12 btn btn-success indigo" %>
            </div>
        </form>
      </div>
    </div>
  </center>

  <div class="section"></div>
  <div class="section"></div>
</main>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.2.1/jquery.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.97.5/js/materialize.min.js"></script>



<% end %>

app/views/clients/index.html.erb
<div class="content">
  <p id="notice"><%= notice %></p>

  <h5 align=center>Lista de  Clientes</h5>
  <%= link_to "Nuevo cliente", new_client_path(), class: "btn btn-success-waves indigo" %>
  <table>
    <thead>
      <tr>
        <th>Nombre</th>
        <th>Apellido</th>
        <th>Fecha de pago</th>
        <th>Suscripción</th>
        <th>Celular</th>
        <th>Correo</th>
        <th>Activo</th>


        <th colspan="3"></th>
      </tr>
    </thead>

    <tbody>
      <% @client.each do |client| %>
        <tr>
          <td><%= client.nombre %></td>
          <td><%= client.apellido %></td>
          <td><%= client.fecha_ultpago %></td>
          <td><%= @nombre %></td>
          <td><%= client.cel %></td>
          <td><%= client.correo %></td>
          <td><%= client.activo %></td>
          <td><%= link_to 'Info', edit_client_path(client) %></td>
          <td><%= link_to 'Eliminar', client, method: :delete, data: { confirm: 'Are you sure?' } %></td>




        </tr>
      <% end %>
    </tbody>
  </table>

</div>

app/views/clients/new.html.erb
<%= render 'form' %>

<%= link_to 'Back', clients_path %>

app/views/layouts/_navbar.html.erb
<nav>
  hola
</nav>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
  <title>GymApp</title>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.97.7/js/materialize.min.js"></script>
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
  <%= csrf_meta_tags %>
</head>
<body>

    <% if user_signed_in? %>
<nav class="indigo">
  <div class="nav-wrapper">
    <a href="#">LOGO</a>
    <ul id="nav-mobile" class="left hide-on-med-and-down">
      <li><%= link_to "Clientes", clients_path, :class => 'active' %></li>
      <li><%= link_to "Contrato", contracts_path %></li>
      <li><%= link_to "Suscripción", subscriptions_path %></li>



    </ul>
    <ul id="nav-mobile" class="right hide-on-med-and-down">
      <li></li>
      <li><%= link_to current_user.email, edit_user_registration_path, :class => 'navbar-link' %></li>
      <li><%= link_to "Logout", destroy_user_session_path, method: :delete, :class => 'navbar-link'  %></li>
    </ul>
  </div>

  <% else %>


  <% end %>

</nav>


  <% if notice %>
   <p class="alert alert-success"><%= notice %></p>
  <% end %>
  <% if alert %>
   <p class="alert alert-danger"><%= alert %></p>
  <% end %>

<%= yield %>

</body>
</html>